Search the Community
Showing results for tags 'autocad2014'.
-
Hi. I'm new to Autocad. I've made an image to be used for laser printing. The image size is 5x6 mm. The problem is when I use BMPOUT command in Autocad the image is not in millimeters so when I import it in the laser printing software my design is much larger than it should be. I asked on autodesk and the only response I got was that I have to adjust dpi. I don't know how to do that or what it is.
- 13 replies
-
- bmpout
- autocad2014
-
(and 1 more)
Tagged with:
-
How to create a Amnote in AutoCAD Mechanical
muhammad_rp posted a topic in AutoLISP, Visual LISP & DCL
hi guys, my name is ramdan i live in Indonesia, I want to Ask, how to make amnote in AutoCAD Mechanical with Autolisp ? thanks,- 1 reply
-
- autolisp programs
- autolisp code problems
- (and 3 more)
-
Large Discrepancy on Distance Measurements
Jnr_Eng_ZA posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Greetings readers and admin alike! In short, the problem is as follows: As soon as I attempt to measure certain elements, the indicated distance is far from real (Refer to Picture 1). After Setting OSNAPZ = 1 , MEASUREGEOM indicates true distance but only after second point has been selected (as you would expect). The same applies when using DI command. I have become accustomed to be able to read the true distance of an element without selecting a second point, but by hovering above said point instead. I look forward to your response - if any questions or queries should arise, please place a comment. Kind regards.- 4 replies
-
- discrepency
- autocad2014
-
(and 1 more)
Tagged with:
-
Inserting Block with different scaled axes.
Lee Chu Chu posted a topic in AutoLISP, Visual LISP & DCL
Is there any way in LISP to insert a block with specific scales for the different axes? ie, 100 for x-axis, 50 for y-axis and 100 in z-axis. I don't want to see dialog boxes, I want to be able to scale the axes in lisp.- 5 replies
-
- block
- autocad2014
-
(and 2 more)
Tagged with:
-
So I have a lisp program that draws some attributes. I want to be able to write a lisp program that will change the value of the selected attributes and I want the CCTNUMBERS to be in chronological order. I want the lisp to be able to take the smallest number and puts it in on the attribute that is to the most left of the selected window and the largest number to be on the right. Any ideas on how I can write this lisp? I don't even know how to be able to grab the respective attribute information let alone change it. Help please. This is what I have: This is what I want:
- 10 replies
-
- autolisp.
- autocad2014
-
(and 2 more)
Tagged with:
-
Error message when trying to load up a *error* function lisp routine
Lee Chu Chu posted a topic in AutoLISP, Visual LISP & DCL
I have been getting this error in autocad 2015 but not in 2014 for some reason. Cannot invoke (command) from *error* without prior call to (*push-error-using-command*). Converting (command) calls to (command-s) is recommended. Can anybody please help me understand what this means? I have been using this code from Afralisp (defun c:drawline () ;define function (initerr) ;intit error (setvar "cmdecho" 0) ;reset variables (setvar "osmode" 32) (command "undo" "m") ;set mark (setq pt1 (getpoint "\nPick First Point: ")) ;get points (setq pt2 (getpoint pt1 "\nPick Second Point: ")) (command "LAYER" "M" "2" "") ;change layer (command "Line" pt1 pt2 "") ;draw line (setq pt3 (getpoint pt2 "\nPick Third Point: "));get 3rd point (setvar "osmode" 0) ;reset snap (command "Line" pt2 pt3 "") ;draw line (reset) ;reset variables (princ) ) (defun error() ;load function (prompt "\nGlobal Error Trap Loaded") ;inform user (princ) );defun ;;;*========================================================== (defun initerr () ;init error (setq oldlayer (getvar "clayer")) ;save settings (setq oldsnap (getvar "osmode")) (setq oldpick (getvar "pickbox")) (setq temperr *error*) ;save *error* (setq *error* trap) ;reassign *error* (princ) );defun ;;;*=========================================================== (defun trap (errmsg) ;define trap (command nil nil nil) (if (not (member errmsg '("console break" "Function Cancelled")) ) (princ (strcat "\nError: " errmsg)) ;print message ) (command "undo" "b") ;undo back (setvar "clayer" oldlayer) ;reset settings (setvar "blipmode" 1) (setvar "menuecho" 0) (setvar "highlight" 1) (setvar "osmode" oldsnap) (setvar "pickbox" oldpick) (princ "\nError Resetting Enviroment ") ;inform user (terpri) (setq *error* temperr) ;restore *error* (princ) );defun ;;;*=========================================================== (defun reset () ;define reset (setq *error* temperr) ;restore *error* (setvar "clayer" oldlayer) ;reset settings (setvar "blipmode" 1) (setvar "menuecho" 0) (setvar "highlight" 1) (setvar "osmode" oldsnap) (setvar "pickbox" oldpick) (princ) );defun You can find the code here: http://www.afralisp.net/autolisp/tutorials/error-trapping.php- 4 replies
-
- autocad2015
- autocad2014
-
(and 2 more)
Tagged with: